#include "exception.h"

#include <stdio.h>
#include <stdarg.h>

const char* Exception::type="Exception";

const char* Exception::getType() const
{
	return type;
}

Exception::Exception(const char* className,const char* message,...)
{
	char buf[1024];
	va_list args;
	
	va_start(args,message);
	vsprintf(buf,message,args);
	va_end(args);

	this->message=string("at ")+className+" : "+buf;
}
